Error in PREFERENCES element When Importing Scan Config

Hi,

I’m pretty new to Greenbone/OpenVAS and currently playing around with scanning web applications.

Therefore, I tried to import two scan configs trough uploading it in the web UI:


http://download.greenbone.net/web-app-scan.xml

The XML looks valid after downloading, but for both of them, I am getting the error “Error in PREFERENCES element” within the web interface.

I’m on GSA 21.4.1 running on Kali 2021.2.

What could I do to use this scan configs or to debug the error?

Thanks and best regards

Hello rsp, welcome to the Greenbone Community!

This error means that the scan config is not compatible with the current GVM version.

I have checked both configs, and they were created for gvm-10, which is three major versions behind gvm-21.04, and end-of-life these days.

I will unlist the OWASP topic with the unsupported scan config. Where did you find the link to web-app-scan.xml?

I’ll also raise an internal issue to see if and how we may make such configs available in the future again, but I cannot promise anything here.

2 Likes

Alternatively the scan config can be simply created with the existing “Full and Fast” as a base:

1 Like